- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# MittelmannBndryCntrlDiri3Dsin Class Reference

Class implementating Example 1. More...

`#include <MittelmannBndryCntrlDiri3Dsin.hpp>`

Inheritance diagram for MittelmannBndryCntrlDiri3Dsin:

[legend]
Collaboration diagram for MittelmannBndryCntrlDiri3Dsin:

[legend]
List of all members.

## Public Member Functions
| MittelmannBndryCntrlDiri3Dsin ()
virtual | ~MittelmannBndryCntrlDiri3Dsin ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size.
## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2, Number x3) const
| Target profile function for y.
## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannBndryCntrlDiri3Dsin (const MittelmannBndryCntrlDiri3Dsin &)
MittelmannBndryCntrlDiri3Dsin & | operator= (const MittelmannBndryCntrlDiri3Dsin &)

## Detailed Description

Class implementating Example 1.

Definition at line 197 of file MittelmannBndryCntrlDiri3Dsin.hpp.

## Constructor & Destructor Documentation

MittelmannBndryCntrlDiri3Dsin::MittelmannBndryCntrlDiri3Dsin | ( |  | ) | `[inline]`

Definition at line 200 of file MittelmannBndryCntrlDiri3Dsin.hpp.

virtual MittelmannBndryCntrlDiri3Dsin::~MittelmannBndryCntrlDiri3Dsin | ( |  | ) | `[inline, virtual]`

Definition at line 203 of file MittelmannBndryCntrlDiri3Dsin.hpp.

MittelmannBndryCntrlDiri3Dsin::MittelmannBndryCntrlDiri3Dsin | ( | const MittelmannBndryCntrlDiri3Dsin & |  | ) | `[private]`

## Member Function Documentation

virtual bool MittelmannBndryCntrlDiri3Dsin::InitializeProblem | ( | Index | N | ) | `[inline, virtual]`

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 206 of file MittelmannBndryCntrlDiri3Dsin.hpp.

References MittelmannBndryCntrlDiriBase3Dsin::SetBaseParameters().

virtual Number MittelmannBndryCntrlDiri3Dsin::y_d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | x3 |
| ) |  |  | const`[inline, protected, virtual]`

Target profile function for y.

Implements MittelmannBndryCntrlDiriBase3Dsin.

Definition at line 224 of file MittelmannBndryCntrlDiri3Dsin.hpp.

MittelmannBndryCntrlDiri3Dsin& MittelmannBndryCntrlDiri3Dsin::operator= | ( | const MittelmannBndryCntrlDiri3Dsin & |  | ) | `[private]`

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/examples/ScalableProblems/MittelmannBndryCntrlDiri3Dsin.hpp